Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Interface InviteeIterator

All Superinterfaces
  Iterator<Invitee>, Serializable

All Known Implementing Classes:
  SimpleInviteeIterator, UserAndGroupInviteeIterator

    public interface InviteeIterator

extends Iterator<Invitee>, Serializable

Implementations of this class are used by the Communities framework to invite multiple users at once via the Invitations mechanism. End developers can either use the basic implementations of these that are provided with the framework or develop specialized versions that are more appropriate to their individual applications. Implementations must provide a static iteration over time- no matter how many times the implementation is iterated over, the same set of Invitee objects must always be returned.

For more information see the discussion of invitations or the overview of community functionality.

See Also
  `SimpleInviteeIterator`, `UserAndGroupInviteeIterator`

Method Summary
`void` | `close()` Called by the framework to end iteration.
`void` | `open()` Called by the framework to begins iteration.
`void` | `reset()` Resets this iterator.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### open

    void open()
              throws InviteeIteratorException

  Called by the framework to begins iteration. After this call, calls to hasNext and next will begin at the beginning of the internal collection of `Invitees`. The framework calls this method before the InviteeIterator is sent to CommunityInviter implementations, so it is unnecessary for CommunityInviter objects to call this method.

  Throws
    `InviteeIteratorException`

### close

    void close()

  Called by the framework to end iteration. After this call, all calls to hasNext should return false, and all call to next should return null. Iteration can be resumed by calling open. The framework calls this method before the InviteeIterator is sent to CommunityInviter implementations, so it is unnecessary for CommunityInviter objects to call this method.

### reset

    void reset()
               throws InviteeIteratorException

  Resets this iterator. After this call, calls to hasNext and next will begin at the beginning of the internal collection of `Invitees`

  ``
  Throws
    `InviteeIteratorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.